using System;

namespace MetaBuilders.WebControls {

	/// <summary>
	/// Button configurations used by the <see cref="DialogMessageBox"/> control.
	/// </summary>
	[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1717:OnlyFlagsEnumsShouldHavePluralNames" )]
	public enum DialogMessageBoxButtons {
		/// <summary>
		/// Displays an OK button
		/// </summary>
		[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "OK" )]
		[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1706:ShortAcronymsShouldBeUppercase", MessageId = "Member" )]
		OK = 0,
		/// <summary>
		/// Displays OK and Cancel buttons
		/// </summary>
		[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", MessageId = "OK" )]
		[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1706:ShortAcronymsShouldBeUppercase", MessageId = "Member" )]
		OKCancel = 1,
		/// <summary>
		/// Displays Retry and Cancel buttons
		/// </summary>
		RetryCancel = 2,
		/// <summary>
		/// Displays Yes and No buttons
		/// </summary>
		YesNo = 3,
		/// <summary>
		/// Displays Yes, No, and Cancel buttons
		/// </summary>
		YesNoCancel = 4
	}
}
