﻿using System;

namespace MetaBuilders.WebControls
{

	/// <summary>
	/// The possible values for the format of an AdSense AdUnit ad.
	/// </summary>
	[
	System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Design", "CA1027:MarkEnumsWithFlags" ), 
	System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Design", "CA1008:EnumsShouldHaveZeroValue" )
	]
	public enum AdUnitFormat
	{
		/// <summary>
		/// A 728x90 banner ad
		/// </summary>
		[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Leaderboard" )]
		HorizontalLeaderboard = 1,

		/// <summary>
		/// A 468x60 banner ad
		/// </summary>
		HorizontalBanner = 2,

		/// <summary>
		/// A 234x60 banner ad
		/// </summary>
		HorizontalHalfBanner = 3,

		/// <summary>
		/// A 120x600 sidebar ad
		/// </summary>
		VerticalSkyscraper = 4,

		/// <summary>
		/// A 160x600 sidebar ad
		/// </summary>
		VerticalWideSkyscraper = 5,

		/// <summary>
		/// A 120x240 sidebar ad
		/// </summary>
		VerticalBanner = 6,

		/// <summary>
		/// A 125x125 content ad
		/// </summary>
		SquareButton = 7,

		/// <summary>
		/// A 200x200 content ad
		/// </summary>
		SquareSmallSquare = 8,

		/// <summary>
		/// A 250x250 content ad
		/// </summary>
		SquareMediumSquare = 9,

		/// <summary>
		/// A 180x150 content ad
		/// </summary>
		SquareSmallRectangle = 11,

		/// <summary>
		/// A 300x250 content ad
		/// </summary>
		SquareMediumRectangle = 12,

		/// <summary>
		/// A 336x280 content ad
		/// </summary>
		SquareLargeRectangle = 13

	}
}
