using System;

namespace MetaBuilders.WebControls {

	/// <summary>
	/// Gets or sets the direction in which the <see cref="MultiViewBar"/> control renders.
	/// </summary>
	/// <remarks>
	/// <p>
	/// The default value of <see cref="MultiViewLayoutDirection.Vertical"/>
	/// will result in the <see cref="MultiViewBar"/> rendering vertically.
	/// </p>
	/// <p>
	/// The value of <see cref="MultiViewLayoutDirection.Horizontal" /> will cause the
	/// <see cref="MultiViewBar"/> to render horizontally.
	/// </p>
	/// </remarks>
	[System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Multi" ), 
	System.Diagnostics.CodeAnalysis.SuppressMessage( "Microsoft.Naming", "CA1702:CompoundWordsShouldBeCasedCorrectly", MessageId = "MultiView" )]
	public enum MultiViewLayoutDirection {
		
		/// <summary>
		/// <p>
		/// The default value of <see cref="MultiViewLayoutDirection.Vertical"/>
		/// will result in the <see cref="MultiViewBar"/> rendering vertically.
		/// </p>
		/// </summary>
		Vertical = 0,

		/// <summary>
		/// <p>
		/// The value of <see cref="MultiViewLayoutDirection.Horizontal" /> will cause the
		/// <see cref="MultiViewBar"/> to render horizontally.
		/// </p>
		/// </summary>
		Horizontal = 1

	}
}
